> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/data-and-features/messages/message-example.md).

# Message Example

The following snippets illustrate a few different message examples you might encounter in the unified feed:

A soccer goal:

**XML Code Example**

```xml
<odds_change event_id="sr:match:13656221" product="1"       timestamp="1525590430719">
    <sport_event_status _match_status_name="1st half" away_score="1" home_score="0" match_status="6" reporting="1" status="1">
        <clock match_time="3:27"/>
        <period_scores>
            <period_score away_score="1" home_score="0" match_status_code="6" number="1"/>
        </period_scores>
        <statistics>
            <yellow_cards away="0" home="0"/>
            <red_cards away="0" home="0"/>
            <yellow_red_cards away="0" home="0"/>
            <corners away="0" home="0"/>
        </statistics>
    </sport_event_status>
</odds_change>
```

1. *Start of match (if Betradar **has** live coverage of the event)*:

**XML Example**&#x20;

```xml
<odds_change event_id="sr:match:1234">
   <sport_event_status status="0" reporting="1"/>
</odds_change>   <--- scout has arrived pre-match (reporting=”1”)
 
<odds_change event_id="sr:match:12345">
  <sport_event_status status="1" reporting="1”>
</odds_change>
```

2. *Start of match (if Betradar **does NOT** have live coverage of the event)*:

Right before scheduled start time:

**XML Example**&#x20;

```xml
<bet_stop event_id="sr:match:4711" group="all"/> <!-- <id>
match started, no live reporting -->
```

### *Rollback\_bet\_cancel when extending a temporary bet\_cancel to a complete bet\_cance*l

Sometimes a bet\_cancel is first sent out for a specified timeframe (i.e. from a start\_time to an end\_time), then later it is decided that the bet\_cancel should be all bets not only for the specified timeframe.&#x20;

In such cases, the system will send out a rollback\_betcancel with the start and endtime specified, and a new bet\_cancel with no start and end\_time.

**XML example**&#x20;

```xml
<bet_cancel event_id="sr:match:4711" start_time="1212000" end_time="1223000" timestamp="1234000"/>
```

*Then some time later (**Note** the order of these two messages can be switched):*

**XML example**

```xml
<bet_cancel event_id="sr:match:4711" timestamp="1236000"/>
<rollback_betcancel event_id="sr:match:4711" timestamp="1236000" start_time="1212000" end_time="1223000"/>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/data-and-features/messages/message-example.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
